DatabaseExtensionsOperations Class

DatabaseExtensionsOperations operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
DatabaseExtensionsOperations

Constructor

DatabaseExtensionsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_create_or_update

Perform a database extension operation, like polybase import.

get

Gets a database extension. This will return resource not found as it is not supported.

list_by_database

List database extension. This will return an empty list as it is not supported.

begin_create_or_update

Perform a database extension operation, like polybase import.

begin_create_or_update(resource_group_name: str, server_name: str, database_name: str, extension_name: str, parameters: _models.DatabaseExtensions, **kwargs: Any) -> LROPoller[_models.ImportExportExtensionsOperationResult]

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

server_name
str
Required

The name of the server.

database_name
str
Required

The name of the database.

extension_name
str
Required
parameters
DatabaseExtensions
Required

The database import request parameters.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or PollingMethod

By default, your polling method will be ARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of LROPoller that returns either ImportExportExtensionsOperationResult or the result of cls(response)

Return type

Exceptions

get

Gets a database extension. This will return resource not found as it is not supported.

get(resource_group_name: str, server_name: str, database_name: str, extension_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

server_name
str
Required

The name of the server.

database_name
str
Required

The name of the database.

extension_name
str
Required
cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

list_by_database

List database extension. This will return an empty list as it is not supported.

list_by_database(resource_group_name: str, server_name: str, database_name: str, **kwargs: Any) -> Iterable[_models.ImportExportExtensionsOperationListResult]

Parameters

resource_group_name
str
Required

The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal.

server_name
str
Required

The name of the server.

database_name
str
Required

The name of the database.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either ImportExportExtensionsOperationListResult or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.sql.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\sql\\models\\__init__.py'>